Subject: Re: possible bug in tcp_input.c

From: Andi Kleen <[email-masked]>
Date: 24 Oct 2003 19:57:24 +0200

Tomas Szepe <[email-masked]> writes:

> /* tcp_input.c, line 1138 */
> static inline int tcp_head_timedout(struct sock *sk, struct tcp_opt *tp)
> {
>   return tp->packets_out && tcp_skb_timedout(tp, skb_peek(&sk->write_queue));
> }

tp->packets_out > 0 implies that there is at least one packet in the write 
queue (it counts the number of unacked packets in flight, which are kept
in the write queue). When that's not the case something else is wrong.

-Andi